Get customer by phone number
GEThttps://core-prod.malipopay.co.tz/api/v1/customer/phoneNumber/:phoneNumber
Returns a customer record matching the given phone number
Request
Path Parameters
phoneNumber stringrequired
Customer phone number
Responses
- 200
- 400
Customer fetched successfully
- application/json
- Schema
- Example (auto)
Schema
_idstring
Unique identifier for the customer
Example:
6281559426fa29659c5ac38aphoneNumberstring
Example:
255742200105firstnamestring
Example:
Johnlastnamestring
Example:
Doeemailemail
Example:
john.doe@example.comtypestring
Example:
INDIVIDUALprojectstring
Project ID this customer belongs to
Example:
63db68a6c5f3e7682e23c2cadeletedboolean
Example:
falsecreatedAtdate-time
Example:
2023-02-02T07:39:18.979ZupdatedAtdate-time
Example:
2023-02-02T07:39:24.934Z{
"_id": "6281559426fa29659c5ac38a",
"phoneNumber": "255742200105",
"firstname": "John",
"lastname": "Doe",
"email": "john.doe@example.com",
"type": "INDIVIDUAL",
"project": "63db68a6c5f3e7682e23c2ca",
"deleted": false,
"createdAt": "2023-02-02T07:39:18.979Z",
"updatedAt": "2023-02-02T07:39:24.934Z"
}
Customer not found
- application/json
- Schema
- Example (auto)
Schema
codeint32required
messagestringrequired
{
"code": 0,
"message": "string"
}
Authorization: apiToken
name: apiTokentype: apiKeyin: headerdescription: Project API key. Get yours from the Malipopay dashboard under Settings → API Keys.
- curl
- python
- nodejs
- php
- java
- go
- CURL
curl -L 'https://core-prod.malipopay.co.tz/api/v1/customer/phoneNumber/:phoneNumber' \
-H 'Accept: application/json' \
-H 'apiToken: <apiToken>'
Response